Skip to main content
`Ctrl`+`K`

# MatMFFDSetType

Sets the method that is used to compute the differencing parameter for finite difference matrix-free formulations.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDSetType(Mat mat, MatMFFDType ftype)

## Input Parameters

- mat - the “matrix-free” matrix created via `MatCreateSNESMF()`, or `MatCreateMFFD()` or `MatSetType`(mat,`MATMFFD`);

- ftype - the type requested, either `MATMFFD_WP` or `MATMFFD_DS`

## Note

For example, such routines can compute `h` for use in Jacobian-vector products of the form

                            F(x+ha) - F(x)
              F'(u)a  ~=  ----------------
                                  h

## See Also

Matrices, `Mat`, `MATMFFD`, `MATMFFD_WP`, `MATMFFD_DS`, `MatCreateSNESMF()`, `MatMFFDRegister()`, `MatMFFDSetFunction()`, `MatCreateMFFD()`

## Level

advanced

## Location

src/mat/impls/mffd/mffd.c

## Implementations

MatMFFDSetType_MFFD() in src/mat/impls/mffd/mffd.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages